@echo off
if %1.==. goto syntax
set tcdir=%1:\Winapps\TotalCmd
set wcdir=%tcdir%
if not %wcdir%.==. goto config
if %wcdir%.==. goto error_notexist

:config
:rem if exist u:\sys\wincmd.ini set wccfgdir=U:\Sys
if %wccfgdir%.==. set wccfgdir=%wcdir%
if exist %wccfgdir%\wincmd.ini set wcini=%wccfgdir%\Wincmd.Ini
if exist %wccfgdir%\wcx_ftp.ini set wcftp=%wccfgdir%\Wcx_ftp.Ini

if "%os%"=="Windows_NT" goto winnt
if "%os%"=="WINNT" goto winnt
goto total

:syntax
echo.
echo	WCStick drive (without ":").
echo.
pause
goto end

:total
%tcdir%\totalcmd.exe /i=%wcini% /F=%wcftp%
goto reset_env

:error_notexist
echo.
echo	Das Programm ist nicht vorhanden !!!
echo.
pause
goto reset_env

:reset_env
set >C:\wcenv.txt
set tcdir=
set wcdir=
set wccfgdir=
set wcftp=
set wcini=
goto end

:winnt
cmd /c %wcdir%\Wincmdnt.bat
goto reset_env

:end
:pause
